numeric File Reference

Go to the source code of this file.

## Namespaces

| std
| std::__detail

## Macros

#define | _GLIBCXX_NUMERIC

## Functions

template<typename _Tp >
constexpr enable_if_t< __and_< is_integral< _Tp >, is_signed< _Tp > >::value, _Tp > | std::__detail::__abs_integral (_Tp __val)
template<typename _Tp >
constexpr enable_if_t< __and_< is_integral< _Tp >, is_unsigned< _Tp > >::value, _Tp > | std::__detail::__abs_integral (_Tp __val)
void | std::__detail::__abs_integral (bool)=delete
template<typename _Mn , typename _Nn >
constexpr common_type_t< _Mn, _Nn > | std::__detail::__gcd (_Mn __m, _Nn __n)
template<typename _Mn , typename _Nn >
constexpr common_type_t< _Mn, _Nn > | std::__detail::__lcm (_Mn __m, _Nn __n)

## Detailed Description

This is a Standard C++ Library header.

Definition in file numeric.